//user quiz page
export const FETCH_USER_QUIZ_BEGIN = 'FETCH_USER_QUIZ_BEGIN'
export const FETCH_USER_QUIZ_SUCCESS = 'FETCH_USER_QUIZ_SUCCESS'
export const FETCH_USER_QUIZ_ERROR = 'FETCH_USER_QUIZ_ERROR'

export const SEARCH_DATA = 'SEARCH_DATA'
export const DELETE_DATA = 'DELETE_DATA'
export const SET_QUIZ_IMAGE_FILE = 'SET_QUIZ_IMAGE_FILE';
export const SET_QUIZ_IMAGE_URL = 'SET_QUIZ_IMAGE_URL';
export const BEGIN_IMAGE_UPLOADING = 'BEGIN_IMAGE_UPLOADING';
export const END_IMAGE_UPLOADING = 'END_IMAGE_UPLOADING';
export const ADD_QUESTION = 'ADD_QUESTION';
export const UPDATE_QUESTION = 'UPDATE_QUESTION';
export const UPDATE_QUESTION_IMAGE_FILE = 'UPDATE_QUESTION_IMAGE_FILE';
export const UPDATE_QUESTION_IMAGE_URL = 'UPDATE_QUESTION_IMAGE_URL';
export const ADD_FORM = 'ADD_FORM';
export const FETCH_QUIZ_BY_ID_BEGIN = 'FETCH_QUIZ_BY_ID_BEGIN';
export const FETCH_QUIZ_BY_ID_SUCCEED = 'FETCH_QUIZ_BY_ID_SUCCEED';
export const FETCH_QUIZ_BY_ID_FAIL = 'FETCH_QUIZ_BY_ID_FAIL';
export const SET_QUIZ_EDITING_SUBMIT_FUNCTION = 'SET_QUIZ_EDITING_SUBMIT_FUNCTION';
export const SET_QUIZ_EDITING_IMAGE = 'SET_QUIZ_EDITING_IMAGE';
export const SET_QUIZ_EDITING_IMAGE_FILE = 'SET_QUIZ_EDITING_IMAGE_FILE';
export const UPDATE_EDITING_QUESTION = 'UPDATE_EDITING_QUESTION';
export const UPDATE_EDITING_QUESTION_IMAGE_FILE = 'UPDATE_EDITING_QUESTION_IMAGE_FILE';
export const UPDATE_EDITING_QUESTION_IMAGE_URL = 'UPDATE_EDITING_QUESTION_IMAGE_URL';
export const DELETE_QUESTION = 'DELETE_QUESTION';
export const DELETE_CREATING_QUESTION = 'DELETE_CREATING_QUESTION';
export const ADD_CREATING_QUESTION = 'ADD_CREATING_QUESTION';

// Doing quiz page
export const FETCH_QUIZ_DETAIL_BEGIN = 'FETCH_QUIZ_DETAIL_BEGIN';
export const FETCH_QUIZ_DETAIL_SUCCESS = 'FETCH_QUIZ_DETAIL_SUCCESS';
export const FETCH_QUIZ_DETAIL_ERROR = 'FETCH_QUIZ_DETAIL_ERROR';
export const FETCH_QUESTIONS_BEGIN = 'FETCH_QUESTIONS_BEGIN';
export const FETCH_QUESTIONS_SUCCESS = 'FETCH_QUESTIONS_SUCCESS';
export const FETCH_QUESTIONS_ERROR = 'FETCH_QUESTIONS_ERROR';
export const NEXT_QUESTION = 'NEXT_QUESTION';
export const PREVIOUS_QUESTION = 'PREVIOUS_QUESTION';
export const SELECT_ANSWER = 'SELECT_ANSWER';
export const RESET_DOING_STATE = 'RESET_DOING_STATE';
export const SET_IS_UPDATE_USER = 'SET_IS_UPDATE_USER';
export const SET_IS_UPDATE_QUIZ = 'SET_IS_UPDATE_QUIZ';
export const SET_SUBMIT_CLICKED = 'SET_SUBMIT_CLICKED';

//HistoryPage fetch User
export const FETCH_USER_HISTORY_BEGIN = 'FETCH_USER_HISTORY_BEGIN';
export const FETCH_USER_HISTORY_SUCCESS = 'FETCH_USER_HISTORY_SUCCESS';
export const FETCH_USER_HISTORY_ERROR = 'FETCH_USER_HISTORY_ERROR';

//HistoryPage fetch Quiz
export const FETCH_QUIZ_HISTORY_BEGIN = 'FETCH_QUIZ_HISTORY_BEGIN';
export const FETCH_QUIZ_HISTORY_SUCCESS = 'FETCH_QUIZ_HISTORY_SUCCESS';
export const FETCH_QUIZ_HISTORY_ERROR = 'FETCH_QUIZ_HISTORY_ERROR';

//ResultPage fetch User
export const FETCH_USER_RESULT_BEGIN = 'FETCH_USER_RESULT_BEGIN';
export const FETCH_USER_RESULT_SUCCESS = 'FETCH_USER_RESULT_SUCCESS';
export const FETCH_USER_RESULT_ERROR = 'FETCH_USER_RESULT_ERROR';

//Create Quiz Page
export const SET_QUIZ_SUBMIT_FUNCTION = 'SET_QUIZ_SUBMIT_FUNCTION';

//delete user quiz
export const DELETE_BEGIN = 'DELETE_BEGIN';
export const DELETE_SUCCESS = ' DELETE_SUCCESS';
export const DELETE_ERROR = 'DELETE_ERROR';

//Answer Quiz Page
export const FETCH_QUIZ_ANSWER_BEGIN = 'FETCH_QUIZ_ANSWER_BEGIN';
export const FETCH_QUIZ_ANSWER_SUCCESS = 'FETCH_QUIZ_ANSWER_SUCCESS';
export const FETCH_QUIZ_ANSWER_ERROR = 'FETCH_QUIZ_ANSWER_ERROR';

//Login
export const LOGIN = 'LOGIN';
export const LOGOUT = 'LOGOUT';
export const USERNAME = 'USERNAME';
export const PASSWORD = 'PASSWORD';
export const SETUSER = 'SETUSER';

//Home
export const FILTER_TYPE = 'FILTER_TYPE';
export const SEARCH_QUIZ = 'SEARCH_QUIZ';